# Interface methods for submodule: CustomColormapFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: CustomColormapFunction
class CustomColormapFunctionProxy():
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	@overload
	def __call__(self, arg0: float) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def __call__(self, arg0: float) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def __call__(self, arg0: int) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def __call__(self, arg0: int) -> Tuple[int, int, int]:
		""""""
		...

	def SetRedChannel(self, red: Sequence[float]) -> None:
		""""""
		...

	def GetRedChannel(self) -> Sequence[float]:
		""""""
		...

	def SetGreenChannel(self, green: Sequence[float]) -> None:
		""""""
		...

	def GetGreenChannel(self) -> Sequence[float]:
		""""""
		...

	def SetBlueChannel(self, blue: Sequence[float]) -> None:
		""""""
		...

	def GetBlueChannel(self) -> Sequence[float]:
		""""""
		...

